import { AbstractType } from './abstract-type';
import { FormArray } from '../abstraction';
export interface ICollectionTypeOptions<T> {
    entrySettings: T;
}
export declare abstract class AbstractCollectionType<TConfig, T> extends AbstractType<T & ICollectionTypeOptions<TConfig>> {
    readonly childType: new (options: TConfig) => AbstractType<TConfig>;
    readonly fieldInstance: AbstractType<TConfig>;
    control: FormArray;
    constructor(childType: new (options: TConfig) => AbstractType<TConfig>, options: T & ICollectionTypeOptions<TConfig>);
}
