(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/forms'), require('@angular/common')) :
    typeof define === 'function' && define.amd ? define('mw-form-builder', ['exports', '@angular/core', '@angular/forms', '@angular/common'], factory) :
    (global = global || self, factory(global['mw-form-builder'] = {}, global.ng.core, global.ng.forms, global.ng.common));
}(this, (function (exports, core, forms, common) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __rest(s, e) {
        var t = {};
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
        if (s != null && typeof Object.getOwnPropertySymbols === "function")
            for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
                if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                    t[p[i]] = s[p[i]];
            }
        return t;
    }

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __param(paramIndex, decorator) {
        return function (target, key) { decorator(target, key, paramIndex); }
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __awaiter(thisArg, _arguments, P, generator) {
        return new (P || (P = Promise))(function (resolve, reject) {
            function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
            function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
            function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
            step((generator = generator.apply(thisArg, _arguments || [])).next());
        });
    }

    function __generator(thisArg, body) {
        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
        return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
        function verb(n) { return function (v) { return step([n, v]); }; }
        function step(op) {
            if (f) throw new TypeError("Generator is already executing.");
            while (_) try {
                if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
                if (y = 0, t) op = [op[0] & 2, t.value];
                switch (op[0]) {
                    case 0: case 1: t = op; break;
                    case 4: _.label++; return { value: op[1], done: false };
                    case 5: _.label++; y = op[1]; op = [0]; continue;
                    case 7: op = _.ops.pop(); _.trys.pop(); continue;
                    default:
                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                        if (t[2]) _.ops.pop();
                        _.trys.pop(); continue;
                }
                op = body.call(thisArg, _);
            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
        }
    }

    function __exportStar(m, exports) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    function __spreadArrays() {
        for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
        for (var r = Array(s), k = 0, i = 0; i < il; i++)
            for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
                r[k] = a[j];
        return r;
    };

    function __await(v) {
        return this instanceof __await ? (this.v = v, this) : new __await(v);
    }

    function __asyncGenerator(thisArg, _arguments, generator) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var g = generator.apply(thisArg, _arguments || []), i, q = [];
        return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
        function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
        function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
        function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
        function fulfill(value) { resume("next", value); }
        function reject(value) { resume("throw", value); }
        function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
    }

    function __asyncDelegator(o) {
        var i, p;
        return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
        function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: n === "return" } : f ? f(v) : v; } : f; }
    }

    function __asyncValues(o) {
        if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
        var m = o[Symbol.asyncIterator], i;
        return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
        function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
        function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
    }

    function __makeTemplateObject(cooked, raw) {
        if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
        return cooked;
    };

    function __importStar(mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
        result.default = mod;
        return result;
    }

    function __importDefault(mod) {
        return (mod && mod.__esModule) ? mod : { default: mod };
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-type/abstract-type.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     * @template T
     */
    var   /**
     * @abstract
     * @template T
     */
    AbstractType = /** @class */ (function () {
        function AbstractType(options) {
            this.options = options;
        }
        Object.defineProperty(AbstractType.prototype, "asyncValidators", {
            get: /**
             * @return {?}
             */
            function () {
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AbstractType.prototype, "validators", {
            get: /**
             * @return {?}
             */
            function () {
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AbstractType.prototype, "updateOn", {
            get: /**
             * @return {?}
             */
            function () {
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AbstractType.prototype, "disabled", {
            get: /**
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(AbstractType.prototype, "controlOptions", {
            get: /**
             * @return {?}
             */
            function () {
                return {
                    asyncValidators: this.asyncValidators,
                    validators: this.validators,
                    updateOn: this.updateOn
                };
            },
            enumerable: true,
            configurable: true
        });
        return AbstractType;
    }());
    if (false) {
        /** @type {?} */
        AbstractType.prototype.component;
        /** @type {?} */
        AbstractType.prototype.builderInstance;
        /** @type {?} */
        AbstractType.prototype.control;
        /** @type {?} */
        AbstractType.prototype.options;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-type/abstract-collection-type.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     * @template T
     */
    function ICollectionTypeOptions() { }
    if (false) {
        /** @type {?} */
        ICollectionTypeOptions.prototype.entrySettings;
    }
    /**
     * @abstract
     * @template TConfig, T
     */
    var   /**
     * @abstract
     * @template TConfig, T
     */
    AbstractCollectionType = /** @class */ (function (_super) {
        __extends(AbstractCollectionType, _super);
        function AbstractCollectionType(childType, options) {
            var _this = _super.call(this, options) || this;
            _this.childType = childType;
            _this.fieldInstance = new _this.childType(_this.options.entrySettings);
            return _this;
        }
        return AbstractCollectionType;
    }(AbstractType));
    if (false) {
        /** @type {?} */
        AbstractCollectionType.prototype.fieldInstance;
        /** @type {?} */
        AbstractCollectionType.prototype.control;
        /** @type {?} */
        AbstractCollectionType.prototype.childType;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstract-form-field/abstract-form-field.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     * @template T
     */
    var AbstractFormFieldComponent = /** @class */ (function () {
        function AbstractFormFieldComponent() {
        }
        AbstractFormFieldComponent.propDecorators = {
            formGroup: [{ type: core.Input }],
            element: [{ type: core.Input }],
            index: [{ type: core.Input }],
            fieldType: [{ type: core.Input }],
            path: [{ type: core.Input }],
            slots: [{ type: core.Input }]
        };
        return AbstractFormFieldComponent;
    }());
    if (false) {
        /** @type {?} */
        AbstractFormFieldComponent.prototype.formGroup;
        /** @type {?} */
        AbstractFormFieldComponent.prototype.element;
        /** @type {?} */
        AbstractFormFieldComponent.prototype.index;
        /** @type {?} */
        AbstractFormFieldComponent.prototype.fieldType;
        /** @type {?} */
        AbstractFormFieldComponent.prototype.path;
        /** @type {?} */
        AbstractFormFieldComponent.prototype.slots;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-type/abstract-group-type.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function IGroupTypeOptions() { }
    if (false) {
        /** @type {?} */
        IGroupTypeOptions.prototype.model;
    }
    /**
     * @abstract
     * @template T
     */
    var   /**
     * @abstract
     * @template T
     */
    AbstractGroupType = /** @class */ (function (_super) {
        __extends(AbstractGroupType, _super);
        function AbstractGroupType() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return AbstractGroupType;
    }(AbstractType));
    if (false) {
        /** @type {?} */
        AbstractGroupType.prototype.control;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstraction/init-handler.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T
     */
    var /**
     * @template T
     */
    InitHandler = /** @class */ (function () {
        function InitHandler(instance) {
            this.instance = instance;
            this.propIsInitialized = false;
        }
        Object.defineProperty(InitHandler.prototype, "isInitialized", {
            get: /**
             * @return {?}
             */
            function () {
                return this.propIsInitialized;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @return {?}
         */
        InitHandler.prototype.setIsInitialized = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var isGroupOrArray = 'controls' in this.instance;
            /** @type {?} */
            var ripple = this.propIsInitialized !== value;
            this.propIsInitialized = value;
            if (isGroupOrArray) {
                ((/** @type {?} */ ((/** @type {?} */ (this.instance)))))._setUpControls();
            }
            ((/** @type {?} */ (this.instance))).updateValueAndValidity({ onlySelf: false, emitEvent: true });
            if (ripple && isGroupOrArray) {
                /** @type {?} */
                var childControls_1 = ((/** @type {?} */ ((/** @type {?} */ (this.instance))))).controls;
                Object.keys(childControls_1)
                    .forEach((/**
                 * @param {?} k
                 * @return {?}
                 */
                function (k) { return childControls_1[k].initHandler.setIsInitialized(value); }));
            }
        };
        return InitHandler;
    }());
    if (false) {
        /**
         * @type {?}
         * @private
         */
        InitHandler.prototype.propIsInitialized;
        /**
         * @type {?}
         * @private
         */
        InitHandler.prototype.instance;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstraction/form-array.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormArray = /** @class */ (function (_super) {
        __extends(FormArray, _super);
        function FormArray() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.initHandler = new InitHandler(_this);
            return _this;
        }
        /**
         * @param {?=} opts
         * @return {?}
         */
        FormArray.prototype.updateValueAndValidity = /**
         * @param {?=} opts
         * @return {?}
         */
        function (opts) {
            if (this.initHandler && this.initHandler.isInitialized) {
                _super.prototype.updateValueAndValidity.call(this, opts);
            }
        };
        return FormArray;
    }(forms.FormArray));
    if (false) {
        /** @type {?} */
        FormArray.prototype.initHandler;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstraction/form-control.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormControl = /** @class */ (function (_super) {
        __extends(FormControl, _super);
        function FormControl() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.initHandler = new InitHandler(_this);
            return _this;
        }
        /**
         * @param {?=} opts
         * @return {?}
         */
        FormControl.prototype.updateValueAndValidity = /**
         * @param {?=} opts
         * @return {?}
         */
        function (opts) {
            if (this.initHandler && this.initHandler.isInitialized) {
                _super.prototype.updateValueAndValidity.call(this, opts);
            }
        };
        return FormControl;
    }(forms.FormControl));
    if (false) {
        /** @type {?} */
        FormControl.prototype.initHandler;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstraction/form-group.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormGroup = /** @class */ (function (_super) {
        __extends(FormGroup, _super);
        function FormGroup() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.initHandler = new InitHandler(_this);
            return _this;
        }
        /**
         * @param {?=} opts
         * @return {?}
         */
        FormGroup.prototype.updateValueAndValidity = /**
         * @param {?=} opts
         * @return {?}
         */
        function (opts) {
            if (this.initHandler && this.initHandler.isInitialized) {
                _super.prototype.updateValueAndValidity.call(this, opts);
            }
        };
        return FormGroup;
    }(forms.FormGroup));
    if (false) {
        /** @type {?} */
        FormGroup.prototype.initHandler;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstraction/index.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/model-handler.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var ModelHandler = /** @class */ (function () {
        function ModelHandler() {
        }
        /**
         * @param {?} model
         * @param {?} builderInstance
         * @return {?}
         */
        ModelHandler.build = /**
         * @param {?} model
         * @param {?} builderInstance
         * @return {?}
         */
        function (model, builderInstance) {
            /** @type {?} */
            var group = new FormGroup({});
            this.handleModel(model, group, builderInstance);
            return group;
        };
        /**
         * @private
         * @param {?} model
         * @param {?} group
         * @param {?} builderInstance
         * @return {?}
         */
        ModelHandler.handleModel = /**
         * @private
         * @param {?} model
         * @param {?} group
         * @param {?} builderInstance
         * @return {?}
         */
        function (model, group, builderInstance) {
            Object.keys(model).forEach((/**
             * @param {?} name
             * @return {?}
             */
            function (name) {
                /** @type {?} */
                var field = model[name];
                if (field) {
                    /** @type {?} */
                    var control = ModelHandler.handleField(field, builderInstance);
                    control.setParent(group);
                    if (field.disabled) {
                        control.disable();
                    }
                    group.addControl(name, control);
                    if (field.builderInstance == null && builderInstance) {
                        field.builderInstance = builderInstance;
                    }
                    field.control = control;
                }
            }));
        };
        /**
         * @private
         * @param {?} field
         * @param {?} builderInstance
         * @return {?}
         */
        ModelHandler.handleField = /**
         * @private
         * @param {?} field
         * @param {?} builderInstance
         * @return {?}
         */
        function (field, builderInstance) {
            /** @type {?} */
            var component;
            if (field instanceof AbstractCollectionType) {
                component = new FormArray([], field.controlOptions);
                ModelHandler.handleArray((/** @type {?} */ (field)), (/** @type {?} */ (component)), builderInstance);
            }
            else if (field instanceof AbstractGroupType) {
                component = new FormGroup({}, field.controlOptions);
                ModelHandler.handleModel(field.options.model, (/** @type {?} */ (component)), builderInstance);
            }
            else {
                component = new FormControl({ value: null, disabled: field.disabled }, field.controlOptions);
            }
            return component;
        };
        /**
         * @private
         * @param {?} field
         * @param {?} array
         * @param {?} builderInstance
         * @return {?}
         */
        ModelHandler.handleArray = /**
         * @private
         * @param {?} field
         * @param {?} array
         * @param {?} builderInstance
         * @return {?}
         */
        function (field, array, builderInstance) {
            array.push(ModelHandler.handleField(field.fieldInstance, builderInstance));
        };
        return ModelHandler;
    }());

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstract-collection-form-field/abstract-collection-form-field.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    AbstractCollectionFormFieldComponent = /** @class */ (function (_super) {
        __extends(AbstractCollectionFormFieldComponent, _super);
        function AbstractCollectionFormFieldComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} index
         * @return {?}
         */
        AbstractCollectionFormFieldComponent.prototype.removeEntry = /**
         * @param {?} index
         * @return {?}
         */
        function (index) {
            ((/** @type {?} */ (this.element))).removeAt(index);
        };
        /**
         * @return {?}
         */
        AbstractCollectionFormFieldComponent.prototype.addEntry = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var newControl;
            if (this.fieldType.fieldInstance instanceof AbstractGroupType) {
                /** @type {?} */
                var field = ModelHandler.build(this.fieldType.fieldInstance.options.model, this.fieldType.builderInstance);
                field.setParent((/** @type {?} */ (this.element)));
                newControl = field;
            }
            else if (this.fieldType.fieldInstance instanceof AbstractCollectionType) {
                newControl = new FormArray([], this.fieldType.fieldInstance.controlOptions);
            }
            else {
                newControl = new FormControl(null, this.fieldType.fieldInstance.controlOptions);
            }
            newControl.initHandler.setIsInitialized(true);
            ((/** @type {?} */ (this.element))).controls.push(newControl);
        };
        return AbstractCollectionFormFieldComponent;
    }(AbstractFormFieldComponent));

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/abstract-group-form-field/abstract-group-form-field.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     * @template FormType
     */
    var   /**
     * @abstract
     * @template FormType
     */
    AbstractGroupFormField = /** @class */ (function (_super) {
        __extends(AbstractGroupFormField, _super);
        function AbstractGroupFormField() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return AbstractGroupFormField;
    }(AbstractFormFieldComponent));

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-slot/form-slot.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormSlotComponent = /** @class */ (function () {
        function FormSlotComponent(viewRef) {
            this.viewRef = viewRef;
        }
        FormSlotComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'mw-form-slot',
                        template: ''
                    }] }
        ];
        /** @nocollapse */
        FormSlotComponent.ctorParameters = function () { return [
            { type: core.ViewContainerRef }
        ]; };
        FormSlotComponent.propDecorators = {
            fieldName: [{ type: core.Input }]
        };
        return FormSlotComponent;
    }());
    if (false) {
        /** @type {?} */
        FormSlotComponent.prototype.fieldName;
        /** @type {?} */
        FormSlotComponent.prototype.viewRef;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-builder/form-builder.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @record
     */
    function FormModel() { }
    var FormBuilderComponent = /** @class */ (function () {
        function FormBuilderComponent() {
            this.onSubmit = new core.EventEmitter();
        }
        /**
         * @return {?}
         */
        FormBuilderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            if (this.group == null) {
                this.rebuildForm();
            }
        };
        /**
         * @param {?} changes
         * @return {?}
         */
        FormBuilderComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            if ('formModel' in changes && changes.formModel.currentValue) {
                this.rebuildForm();
            }
            if ('formData' in changes && changes.formData.currentValue) {
                if (!('formModel' in changes)) {
                    this.initializeCollectionFields(this.group, this.formModel, this.formData);
                    this.group.initHandler.setIsInitialized(false);
                    this.group.initHandler.setIsInitialized(true);
                }
                if (this.group) {
                    this.group.patchValue(this.formData);
                }
            }
        };
        /**
         * @return {?}
         */
        FormBuilderComponent.prototype.rebuildForm = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var res = null;
            /** @type {?} */
            var groupIsInitialized = false;
            if (this.group) {
                res = Object.assign({}, this.group.value);
                groupIsInitialized = this.group.initHandler.isInitialized;
            }
            else if (this.formData) {
                res = Object.assign({}, this.formData);
            }
            this.group = ModelHandler.build(this.formModel, this);
            this.initializeCollectionFields(this.group, this.formModel, res);
            if (this.group && res) {
                if (groupIsInitialized) {
                    this.group.initHandler.setIsInitialized(true);
                }
                this.group.patchValue(res);
            }
        };
        /**
         * @private
         * @param {?} group
         * @param {?} model
         * @param {?} data
         * @return {?}
         */
        FormBuilderComponent.prototype.initializeCollectionFields = /**
         * @private
         * @param {?} group
         * @param {?} model
         * @param {?} data
         * @return {?}
         */
        function (group, model, data) {
            var _this = this;
            Object.keys(model).forEach((/**
             * @param {?} name
             * @return {?}
             */
            function (name) {
                /** @type {?} */
                var formType = model[name];
                /** @type {?} */
                var childData = (data && name in data) ? data[name] : null;
                /** @type {?} */
                var control = group.get(name);
                if (formType instanceof AbstractGroupType) {
                    _this.initializeCollectionFields((/** @type {?} */ (control)), ((/** @type {?} */ (formType))).options.model, childData);
                }
                else if (formType instanceof AbstractCollectionType) {
                    _this.initializeCollectionField(formType, (/** @type {?} */ (control)), childData);
                }
            }));
        };
        /**
         * @private
         * @param {?} collection
         * @param {?} array
         * @param {?=} data
         * @return {?}
         */
        FormBuilderComponent.prototype.initializeCollectionField = /**
         * @private
         * @param {?} collection
         * @param {?} array
         * @param {?=} data
         * @return {?}
         */
        function (collection, array, data) {
            /** @type {?} */
            var numberOfEntries = Array.isArray(data) ? data.length : 0;
            array.controls.splice(0, array.controls.length);
            if (numberOfEntries === 0) {
                return;
            }
            /** @type {?} */
            var fieldInstance = collection.fieldInstance;
            /** @type {?} */
            var isGroup = fieldInstance instanceof AbstractGroupType;
            /** @type {?} */
            var isCollection = !isGroup && fieldInstance instanceof AbstractCollectionType;
            /** @type {?} */
            var isFormField = !isCollection && fieldInstance instanceof AbstractType;
            for (var i = 0; i < numberOfEntries; i++) {
                if (isGroup) {
                    /** @type {?} */
                    var childModel = ((/** @type {?} */ (fieldInstance))).options.model;
                    /** @type {?} */
                    var childFormGroup = ModelHandler.build(childModel, this);
                    childFormGroup.setParent(array);
                    if (fieldInstance.disabled) {
                        childFormGroup.disable();
                    }
                    this.initializeCollectionFields(childFormGroup, childModel, data[i]);
                    array.controls.push(childFormGroup);
                }
                else if (isCollection) {
                    /** @type {?} */
                    var childArray = new FormArray([], fieldInstance.controlOptions);
                    childArray.setParent(array);
                    if (fieldInstance.disabled) {
                        childArray.disable();
                    }
                    this.initializeCollectionField((/** @type {?} */ (fieldInstance)), childArray, data[i]);
                    array.controls.push(childArray);
                }
                else if (isFormField) {
                    array.controls.push(new FormControl({ value: null, disabled: fieldInstance.disabled }, fieldInstance.controlOptions));
                }
            }
        };
        /**
         * @return {?}
         */
        FormBuilderComponent.prototype.submit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            Object.keys(this.group.controls).forEach((/**
             * @param {?} field
             * @return {?}
             */
            function (field) {
                /** @type {?} */
                var control = _this.group.get(field);
                control.markAsDirty();
                control.updateValueAndValidity();
            }));
            if (!this.group.valid) {
                return;
            }
            this.onSubmit.emit(this.group.value);
            return this.group.value;
        };
        /**
         * @param {?=} group
         * @return {?}
         */
        FormBuilderComponent.prototype.getErrors = /**
         * @param {?=} group
         * @return {?}
         */
        function (group) {
            var _this = this;
            /** @type {?} */
            var errors = group instanceof FormArray ? [] : {};
            if (group == null) {
                group = this.group;
            }
            /** @type {?} */
            var idx = 0;
            Object.keys(group.controls).forEach((/**
             * @param {?} name
             * @return {?}
             */
            function (name) {
                idx++;
                /** @type {?} */
                var control = group.get(name);
                if (control instanceof FormArray || control instanceof FormGroup) {
                    /** @type {?} */
                    var tmpErrors = _this.getErrors((/** @type {?} */ (control)));
                    if (tmpErrors) {
                        errors[name] = tmpErrors;
                    }
                }
                else if (control instanceof FormControl) {
                    if (control.errors == null) {
                        return null;
                    }
                    if (group instanceof FormArray) {
                        ((/** @type {?} */ (errors)))[idx] = control.errors;
                    }
                    else {
                        errors[name] = control.errors;
                    }
                }
            }));
            return (group instanceof FormGroup && Object.keys(errors).length === 0)
                || Array.isArray(errors) && errors.length === 0 ? null : errors;
        };
        FormBuilderComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'mw-form-builder',
                        template: "\n    <ng-content></ng-content>\n    <form [formGroup]=\"group\" (ngSubmit)=\"submit()\" #form>\n      <mw-form-group #fromGroup [element]=\"group\" [formGroup]=\"group\" [model]=\"formModel\" [slots]=\"slots\" [isRootGroup]=\"true\">\n      </mw-form-group>\n    </form>\n  "
                    }] }
        ];
        FormBuilderComponent.propDecorators = {
            formModel: [{ type: core.Input }],
            formData: [{ type: core.Input }],
            onSubmit: [{ type: core.Output }],
            slots: [{ type: core.ContentChildren, args: [FormSlotComponent, { descendants: true },] }]
        };
        return FormBuilderComponent;
    }());
    if (false) {
        /** @type {?} */
        FormBuilderComponent.prototype.formModel;
        /** @type {?} */
        FormBuilderComponent.prototype.formData;
        /** @type {?} */
        FormBuilderComponent.prototype.onSubmit;
        /** @type {?} */
        FormBuilderComponent.prototype.slots;
        /** @type {?} */
        FormBuilderComponent.prototype.group;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-field/form-field.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormFieldComponent = /** @class */ (function (_super) {
        __extends(FormFieldComponent, _super);
        function FormFieldComponent(viewRef, cfr) {
            var _this = _super.call(this) || this;
            _this.viewRef = viewRef;
            _this.cfr = cfr;
            return _this;
        }
        /**
         * @param {?} changes
         * @return {?}
         */
        FormFieldComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            this.render();
        };
        /**
         * @return {?}
         */
        FormFieldComponent.prototype.render = /**
         * @return {?}
         */
        function () {
            if (this.fieldType == null) {
                return;
            }
            this.viewRef.clear();
            /** @type {?} */
            var factory = this.cfr.resolveComponentFactory(this.fieldType.component);
            /** @type {?} */
            var component = this.viewRef.createComponent(factory);
            /** @type {?} */
            var isGroup = this.fieldType instanceof AbstractGroupType;
            ((/** @type {?} */ (component.instance))).formGroup = isGroup ? (/** @type {?} */ (this.element)) : this.formGroup;
            ((/** @type {?} */ (component.instance))).element = this.element;
            ((/** @type {?} */ (component.instance))).fieldType = this.fieldType;
            ((/** @type {?} */ (component.instance))).slots = this.slots;
            ((/** @type {?} */ (component.instance))).path = this.path;
            ((/** @type {?} */ (component.instance))).index = this.index;
            component.changeDetectorRef.detectChanges();
        };
        FormFieldComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'mw-form-field',
                        template: ''
                    }] }
        ];
        /** @nocollapse */
        FormFieldComponent.ctorParameters = function () { return [
            { type: core.ViewContainerRef },
            { type: core.ComponentFactoryResolver }
        ]; };
        return FormFieldComponent;
    }(AbstractFormFieldComponent));
    if (false) {
        /** @type {?} */
        FormFieldComponent.prototype.viewRef;
        /** @type {?} */
        FormFieldComponent.prototype.cfr;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-group/form-group.component.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormGroupComponent = /** @class */ (function (_super) {
        __extends(FormGroupComponent, _super);
        function FormGroupComponent(cfr, cdr) {
            var _this = _super.call(this) || this;
            _this.cfr = cfr;
            _this.cdr = cdr;
            _this.isRootGroup = false;
            _this.renderTargets = {};
            _this.initializeTimeoutHandle = null;
            _this.orderAsGiven = (/**
             * @return {?}
             */
            function () { return 1; });
            return _this;
        }
        Object.defineProperty(FormGroupComponent.prototype, "groupPath", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.path == null || this.path.trim() === '')
                    ? ''
                    : this.path;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(FormGroupComponent.prototype, "indexFromParent", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.index == null) {
                    return null;
                }
                /** @type {?} */
                var p = this.element;
                do {
                    p = p.parent;
                    if (p instanceof FormArray) {
                        return this.index;
                    }
                } while (p && p.parent && !(parent instanceof FormControl));
                return null;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        FormGroupComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            if (this.mySlots) {
                this.renderElementsInSlots();
                this.cdr.detectChanges();
            }
        };
        /**
         * @param {?} changes
         * @return {?}
         */
        FormGroupComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var wasRendered = false;
            if ('slots' in changes && changes.slots.currentValue) {
                this.renderElementsInSlots();
                wasRendered = true;
            }
            if (!wasRendered && 'mySlots' in changes && changes.mySlots.currentValue) {
                this.renderElementsInSlots();
            }
        };
        /**
         * @private
         * @return {?}
         */
        FormGroupComponent.prototype.renderElementsInSlots = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.slots || this.mySlots) {
                this.createRenderTargets();
                Object.keys(this.renderTargets).map((/**
                 * @param {?} name
                 * @return {?}
                 */
                function (name) {
                    if (!(name in _this.renderTargets)) {
                        return;
                    }
                    _this.renderTargets[name].viewRef.clear();
                    /** @type {?} */
                    var factory = _this.cfr.resolveComponentFactory(FormFieldComponent);
                    /** @type {?} */
                    var target = _this.renderTargets[name].viewRef.createComponent(factory);
                    target.instance.formGroup = _this.formGroup;
                    target.instance.element = _this.formGroup.get(name);
                    target.instance.slots = _this.slots;
                    target.instance.path = _this.pathForField(name);
                    target.instance.fieldType = _this.model[name];
                    target.instance.index = _this.indexFromParent;
                    target.instance.render();
                }));
                if (this.isRootGroup) {
                    if (this.initializeTimeoutHandle) {
                        window.clearTimeout(this.initializeTimeoutHandle);
                    }
                    this.initializeTimeoutHandle = window.setTimeout((/**
                     * @return {?}
                     */
                    function () {
                        ((/** @type {?} */ (_this.element))).initHandler.setIsInitialized(true);
                        _this.cdr.detectChanges();
                    }), 5);
                }
            }
        };
        /**
         * @private
         * @return {?}
         */
        FormGroupComponent.prototype.createRenderTargets = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var groupPath = this.groupPath;
            if (this.slots) {
                this.slots.toArray().forEach((/**
                 * @param {?} slot
                 * @return {?}
                 */
                function (slot) {
                    if (slot.fieldName.substr(0, groupPath.length) !== groupPath) {
                        return;
                    }
                    /** @type {?} */
                    var name = slot.fieldName.substr(groupPath.length, slot.fieldName.length - groupPath.length);
                    if (name.startsWith('.')) {
                        name = name.substr(1);
                    }
                    if (name.indexOf('.') < 0 && name !== '') {
                        _this.renderTargets[name] = slot;
                    }
                }));
            }
            if (this.mySlots) {
                this.mySlots.toArray().forEach((/**
                 * @param {?} slot
                 * @return {?}
                 */
                function (slot) {
                    _this.renderTargets[slot.fieldName] = slot;
                }));
            }
        };
        /**
         * @param {?} fieldName
         * @return {?}
         */
        FormGroupComponent.prototype.pathForField = /**
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            return (this.groupPath === '')
                ? fieldName
                : this.path + '.' + fieldName;
        };
        FormGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'mw-form-group',
                        template: "\n    <ng-content></ng-content>\n    <ng-container *ngFor=\"let field of (model | keyvalue:orderAsGiven)\">\n      <mw-form-field *ngIf=\"renderTargets[field.key] == null\"\n                     [formGroup]=\"element\"\n                     [element]=\"element.get(field.key)\"\n                     [fieldType]=\"field.value\"\n                     [path]=\"pathForField(field.key)\"\n                     [index]=\"indexFromParent\"\n                     [slots]=\"slots\">\n      </mw-form-field>\n    </ng-container>\n  "
                    }] }
        ];
        /** @nocollapse */
        FormGroupComponent.ctorParameters = function () { return [
            { type: core.ComponentFactoryResolver },
            { type: core.ChangeDetectorRef }
        ]; };
        FormGroupComponent.propDecorators = {
            isRootGroup: [{ type: core.Input }],
            model: [{ type: core.Input }],
            mySlots: [{ type: core.ContentChildren, args: [FormSlotComponent, { descendants: true },] }]
        };
        return FormGroupComponent;
    }(AbstractFormFieldComponent));
    if (false) {
        /** @type {?} */
        FormGroupComponent.prototype.isRootGroup;
        /** @type {?} */
        FormGroupComponent.prototype.model;
        /** @type {?} */
        FormGroupComponent.prototype.mySlots;
        /** @type {?} */
        FormGroupComponent.prototype.renderTargets;
        /**
         * @type {?}
         * @private
         */
        FormGroupComponent.prototype.initializeTimeoutHandle;
        /** @type {?} */
        FormGroupComponent.prototype.orderAsGiven;
        /**
         * @type {?}
         * @private
         */
        FormGroupComponent.prototype.cfr;
        /**
         * @type {?}
         * @private
         */
        FormGroupComponent.prototype.cdr;
    }

    /**
     * @fileoverview added by tsickle
     * Generated from: lib/form-builder.module.ts
     * @suppress {checkTypes,constantProperty,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var FormBuilderModule = /** @class */ (function () {
        function FormBuilderModule() {
        }
        FormBuilderModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            FormBuilderComponent,
                            FormGroupComponent,
                            FormFieldComponent,
                            FormSlotComponent,
                        ],
                        entryComponents: [
                            FormFieldComponent,
                            FormGroupComponent,
                        ],
                        imports: [
                            forms.ReactiveFormsModule,
                            common.CommonModule,
                        ],
                        exports: [
                            FormBuilderComponent,
                            FormGroupComponent,
                            FormFieldComponent,
                            FormSlotComponent,
                        ],
                    },] }
        ];
        return FormBuilderModule;
    }());

    exports.AbstractCollectionFormFieldComponent = AbstractCollectionFormFieldComponent;
    exports.AbstractCollectionType = AbstractCollectionType;
    exports.AbstractFormFieldComponent = AbstractFormFieldComponent;
    exports.AbstractGroupFormField = AbstractGroupFormField;
    exports.AbstractGroupType = AbstractGroupType;
    exports.AbstractType = AbstractType;
    exports.FormBuilderComponent = FormBuilderComponent;
    exports.FormBuilderModule = FormBuilderModule;
    exports.FormFieldComponent = FormFieldComponent;
    exports.FormSlotComponent = FormSlotComponent;
    exports.ɵa = FormGroupComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=mw-form-builder.umd.js.map
